> ## Documentation Index
> Fetch the complete documentation index at: https://developers.scango.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Produkt abrufen

> Details eines spezifischen Produkts abrufen



## OpenAPI

````yaml GET /products/{productId}
openapi: 3.0.1
info:
  title: Scango API
  description: >-
    API documentation for Scango's dashboard services.


    **List endpoints** (`GET /products`, `GET /orders`, `GET /suppliers`, `GET
    /categories`) return `data` plus `meta` with `total`, `returned`, and
    `limit` (applied page size; default **100**, maximum **5000** unless noted).
    Product search with `q` also includes `offset` and caps the effective page
    size at **250**. See schema `ListMeta`.
  version: 1.0.0
servers:
  - url: https://dashboard.scango.ch/api/v1
security:
  - bearerAuth: []
tags:
  - name: Products
    description: 'Product catalog: list, search, create, update, and delete.'
  - name: Orders
    description: Orders within a time range and single-order details.
  - name: Suppliers
    description: Supplier directory for your organization.
  - name: Categories
    description: Product categories.
paths:
  /products/{productId}:
    get:
      tags:
        - Products
      summary: Get product by ID
      description: Returns a specific product
      operationId: getProduct
      parameters:
        - name: productId
          in: path
          required: true
          description: ID of the product to retrieve
          schema:
            type: string
      responses:
        '200':
          description: Product details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Product'
              example:
                data:
                  id: a1b2c3
                  name: Mineral water 50cl
                  price: 120
                  barcode: '7610800001234'
                  taxCategory: '2.6'
                  category: cat_01
                  supplier: sup_01
                  description: ''
                  showOnHomescreen: true
                  showOnScreen: true
                  ageRestriction: false
                  showOnScale: false
                  saleStop: false
components:
  schemas:
    Product:
      type: object
      properties:
        id:
          type: string
          description: Firestore document id (present in list and get responses)
        name:
          type: string
          description: Name of the product
        price:
          type: integer
          description: Price in cents
        supplier:
          type: string
          description: Supplier of the product
        taxCategory:
          type: string
          enum:
            - '8.1'
            - '2.6'
            - '3.8'
            - '0'
          description: Tax category
        category:
          type: string
          description: Category ID of the product
        declarations:
          type: string
          description: Product declarations
        barcode:
          type: string
          description: Product barcode
        depositProduct:
          type: integer
          description: Deposit amount in cents
        description:
          type: string
          description: Product description
        salePrice:
          type: integer
          description: Sale price in cents
        salePercentage:
          type: number
          description: Sale percentage
        salePriceDateFrom:
          type: string
          format: date
          description: Sale start date
        salePriceDateTo:
          type: string
          format: date
          description: Sale end date
        costPrice:
          type: integer
          description: Cost price in cents
        margin:
          type: number
          description: Product margin
        showOnHomescreen:
          type: boolean
          description: Show on homescreen
        showOnScreen:
          type: boolean
          description: Show on screen
        ageRestriction:
          type: boolean
          description: Age restriction
        showOnScale:
          type: boolean
          description: Show on scale
        saleStop:
          type: boolean
          description: Sale stop
        index:
          type: integer
          description: Product index
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````